<?php
/*
 *********************************************************************
 * @name        	Face Gallery
 * @version			1.0: views/images/default.php$
 * @since       	Joomla 3.0
 * @package			apptha
 * @subpackage		com_facegallery
 * @author          Apptha - http://www.apptha.com
 * @copyright   	Copyright (C) 2013 powered by Apptha
 * @license			http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @creationDate    March 13 2013
 **********************************************************************
 */

//No direct access
defined('_JEXEC') or die("restricted access");

jimport('joomla.html.pagination');
$doc = JFactory::getDocument();
$imageId = NULL;

//INCLUDING JS AND CSS FILES
$doc->addStyleSheet(JURI::Base() . 'components/com_facegallery/css/main.css');
$doc->addStyleSheet(JURI::Base() . 'components/com_facegallery/css/scroll.css');

$albumId = JRequest::getVar('aid');
$imageView = JRoute::_('index.php?option=com_facegallery&view=imagesview&aid=' . $albumId . '&tmpl=component');
$doc->addScriptDeclaration('FgalleryImageView = "' . $imageView . '"');

$album = $this->album;
$albumName = &$album[0][0]->album_name;

$settings = $this->settings;

$allowViews = $settings->display_views;
$imgHgt = $settings->image_height;
$imgWdth = $settings->image_width;

//CODE TO SET META KEYWORDS, DESCRIPTION OF ALBUM
$metaKeywords = &$album[0][0]->meta_keywords;
$metaDescription = &$album[0][0]->meta_description;
if( $metaKeywords != "" )
$doc->setMetaData("keywords", $album[0][0]->meta_keywords);

if( $metaDescription != "" )
$doc->setDescription(strip_tags($album[0][0]->meta_description));

//FOR PAGINATION
$total = $album[1]['total'];

$limit = $album[1]['limit'];
$start = $album[1]['start'];

$commentCount=$album[1]['totalCount'];
//START PAGINATION
$pagination = new JPagination($total, $start, $limit);

?>

<?php if (!empty($album)): ?>
    <!-- INCLUDING SCRIPT FOR POPUP -->
    <!--<div id="loader"></div>
    <script type="text/javascript">
        if (typeof jQuery == 'undefined') {
            var script  = document.createElement('script'); script.async = true;
            script.type = "text/javascript";
            script.src  = "<?php //echo JURI::Base(); ?>media/jui/js/jquery.min.js";
            document.getElementById('loader').appendChild(script);
            jQuery.noConflict();
        }
    </script>-->

    <script src="<?php echo JURI::base() . 'components/com_facegallery/js/script.js' ?>" type="text/javascript"></script>
    <script src="<?php echo JURI::base() . 'components/com_facegallery/js/scroll.js' ?>" type="text/javascript"></script>
	<script src="<?php echo JURI::base() . 'components/com_facegallery/js/jquery-1.7.2.min.js' ?>" type="text/javascript"></script>
    <script type="text/javascript">
    var dom
    dom= jQuery.noConflict(true);
    dom(document).ready(function(){
    dom(".image_item").hover(function(){
   dom(this).find(".interact").fadeIn("fast");
    }, function(){
   dom(this).find(".interact").fadeOut("fast");
  });
});
</script>
   
   
    <!-- IMAGES VIEW DIVISION  -->
    <div class="images_container image_view">
        <h4>
            <span><?php echo ucfirst($albumName); ?></span>
        </h4>
       
        <div class="image_view_container">
                   <ul>
            <?php $inc = 1; $i=0; ?>
            <?php foreach ($album[0] as $image): 
            	@$img = JURI::Base(). 'images/facegallery/medium_image/' . $image->medium_image;
				          
				@list($width,$height)=getimagesize($img);
				
				$newWdth=$newHgt='';
				if( $width < $imgWdth)
				{
					$newWdth = $imgWdth - $width;
					$width = $width + $newWdth;
					$newWdth=" width:".$width."px;";
					$newHgt='';
				}
				
				else if( $height < $imgHgt)
				{
					$newHgt = $imgHgt - $height;
					$height = $height + $newHgt;
					$newHgt=" height:".$height."px;";
					$newWdth='';
				}
	
			    if(($inc%3) == 0)
			    {
			         $style = 'no-margin';
			    }
			    else
			    {
			         $style = '';
			    }
            ?>
                <li class="image_item  <?php echo $style;?>">
                    <div class="image" id="image_grid">
                    	<div style="width: 206px; height: 206px; overflow: hidden;">
                        	<img style="max-width:none !important; <?php echo $newWdth. ' ' .$newHgt; ?>" alt="<?php echo $image->medium_image; ?>" src="<?php echo $img; ?>" />
                        </div>
                        <a class="interact" style="display: none;" id="<?php echo $image->id; ?>">
                        <p class="comments_count"><i></i><span><?php echo $commentCount[$i]->count; ?> </span></p>
                            <?php if($allowViews) { ?><p id="views_count<?php echo $image->id; ?>" class="views_count"><?php echo $image->views; ?><?php echo ' ' . JText::_('COM_FACEGALLERY_VIEW'); ?></p> <?php }?>
                            <p class="image_name"><?php echo $image->image; ?></p>
                            
                        </a>
                    </div>
                </li>
                
            <?php if ($inc % 3 == 0 && count($album[0]) != $inc): ?>
                </ul><ul>
            <?php endif; ?>
            <?php $inc++;$i++;?>
            <?php endforeach; ?>
                </ul>
            </div>
        </div>
<?php endif; ?>
                    <!-- PAGINATION FOOTER  -->
                    <div>
    <?php echo $pagination->getListFooter(); ?>
                </div>

  <script>$=jQuery.noConflict();</script>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.1/jquery-ui.min.js"></script>
<script src="<?php echo JURI::base() . 'components/com_facegallery/js/jquery.slimscroll.js' ?>" type="text/javascript"></script>
                    
                <!-- HIDDEN PREVIEW BLOCK -->
                <div id="image_preview" style="display: none">
                    <div class="image_wrp">
                        <img alt="close" class="close" 
                             src="<?php echo JURI::Base() . 'components/com_facegallery/images/close.gif' ?>" />
                        <div style="clear: both"></div>
                        <div class="pleft" ><?php echo JText::_('COM_FACEGALLERY_PREV'); ?></div>
                        <div class="pright"><?php echo JText::_('COM_FACEGALLERY_NEXT'); ?></div>
        <div style="clear: both"></div>
    </div>
</div>
<?php $user =JFactory::getUser(); ?>
<?php $imageId = JRequest::getVar('imgid'); ?>
<?php if($imageId != '' && $user->username !=''){?>
<script>
window.onload = function(){
	getPhotoPreviewAjx('<?php echo $imageId; ?>');
}
</script>
<?php }?>